/*
 * display.h
 *
 *  Created on: Apr 6, 2012
 *      Author: Philip
 */

#ifndef LCD_H_
#define LCD_H_
#include "stdint.h"

#define LCD_SIZE_X 320
#define LCD_SIZE_Y 240

extern void lcd_init(void);
extern void lcd_setPixel(uint16_t x, uint16_t y, uint16_t col);

#define LCD_CTRL_PORT GPIOD
#define LCD_RES_PIN  GPIO_Pin_3

/* LCD /CS is NE1 - Bank 1 of NOR/SRAM Bank 1~4                               */
#define LCD_BASE_ADD   0x60000000UL
#define LCD_INST_ADD   (*((volatile unsigned short *)(LCD_BASE_ADD  )))
#define LCD_DATA_ADD   (*((volatile unsigned short *)(LCD_BASE_ADD + 0x30000UL)))  // A16(RS) = 1

#endif /* DISPLAY_H_ */
