/**
 *****************************************************************************
 **
 **  File        : main.c
 **
 **  Abstract    : main function.
 **
 **  Functions   : main
 **
 **  Environment : Atollic TrueSTUDIO(R)
 **                STMicroelectronics STM32F4xx Standard Peripherals Library
 **
 **  Distribution: The file is distributed as is, without any warranty
 **                of any kind.
 **
 **  (c)Copyright Atollic AB.
 **  You may use this file as-is or modify it according to the needs of your
 **  project. Distribution of this file (unmodified or modified) is not
 **  permitted. Atollic AB permit registered Atollic TrueSTUDIO(R) users the
 **  rights to distribute the assembled, compiled & linked contents of this
 **  file as part of an application binary file, provided that it is built
 **  using the Atollic TrueSTUDIO(R) toolchain.
 **
 **
 *****************************************************************************
 */

/* Includes */
#include "stm32f4xx.h"
#include "stm32f4_discovery.h"

#include "time.h"
#include "lcd.h"
/* Private macro */
/* Private variables */
/* Private function prototypes */
/* Private functions */

/**
 **===========================================================================
 **
 **  Abstract: main program
 **
 **===========================================================================
 */
int main(void){
	/* Initialize LEDs */
	STM_EVAL_LEDInit(LED3);
	STM_EVAL_LEDInit(LED4);

	STM_EVAL_LEDOn(LED3);

	time_init();
	STM_EVAL_LEDOn(LED4);

	lcd_init();
	STM_EVAL_LEDOff(LED3);

	uint16_t x,y;
	for( x = 0; x < LCD_SIZE_X; x++) {
		for(y = 0; y < LCD_SIZE_Y; y++) {
			uint16_t red  = x & 0x1F;
			uint16_t blue = y & 0x1F;
			uint16_t green = 0x3F;
			uint16_t color = (red << 11) | (green << 5) | (blue);
			lcd_setPixel(x,y,color);


		}
	}

	STM_EVAL_LEDOn(LED4);


	while(1) {
		STM_EVAL_LEDOff(LED3);
		STM_EVAL_LEDOn(LED4);
		time_wait(500);
		STM_EVAL_LEDOff(LED4);
		STM_EVAL_LEDOn(LED3);
		time_wait(500);

	}

}

